---
# Configure le relay SMTP Gandi de Néréide pour que BBB envoie des mails

- name: ajout du serveur SMTP
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_SERVER="
    line: "SMTP_SERVER=mail.gandi.net"
  notify:
    - restart greenlight

- name: ajout du SMTP_PORT
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_PORT="
    line: "SMTP_PORT=587"
  notify:
    - restart greenlight

- name: ajout du SMTP_DOMAIN
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_DOMAIN="
    line: "SMTP_DOMAIN=nereide.fr"
  notify:
    - restart greenlight

- name: ajout du SMTP_USERNAME
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_USERNAME="
    line: "SMTP_USERNAME=relay-smtp@nereide.fr"
  notify:
    - restart greenlight

- name: ajout du SMTP_PASSWORD
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_PASSWORD="
    line: "SMTP_PASSWORD={{ vault_smtp_nrd_pass }}"
  notify:
    - restart greenlight

- name: ajout du SMTP_AUTH
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_AUTH="
    line: "SMTP_AUTH=plain"
  notify:
    - restart greenlight

- name: ajout du SMTP_STARTTLS_AUTO
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_STARTTLS_AUTO="
    line: "SMTP_STARTTLS_AUTO=true"
  notify:
    - restart greenlight

- name: ajout du SMTP_SENDER
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "^SMTP_SENDER="
    line: "SMTP_SENDER=no-reply@bbb.fr"
  notify:
    - restart greenlight

- name: Activation des notifications par mails
  lineinfile:
    path: "/root/greenlight/.env"
    insertafter: "^#   ALLOW_MAIL_NOTIFICATIONS=true"
    line: "ALLOW_MAIL_NOTIFICATIONS=true"
  notify:
    - restart greenlight
